<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolFileMenu" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolFileMenu</refname>

    <refpurpose>defines the File menu.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolFileMenu(fig [,mainH]) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>fig</term>

        <listitem>
          <para>The handle of the window where the menu will be
          created.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>mainH</term>

        <listitem>
          <para>The handle of the Editors window.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Defines the File menu.</para>
  </refsection>

  <refsection>
    <title>Called functions</title>

    <informaltable border="1">
          <tr>
            <td>
              <link linkend="sisotoolSaveSession">
                <function>sisotoolSaveSession</function>
              </link>
            </td>

            <td>saves the <link linkend="sisotoolSessionData">session data
            structure</link> into a file.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolImportGui">
                <function>sisotoolImportGui</function>
              </link>
            </td>

            <td>builds the GUI used to import system components (plant,
            compensator, filter, ...) from workspace or file.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolExportGui">
                <function>sisotoolExportGui</function>
              </link>
            </td>

            <td>builds the GUI used to export system components (plant,
            compensator, filter, ...) to workspace or file.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolLoadSession">
                <function>sisotoolLoadSession</function>
              </link>
            </td>

            <td>loads the session data structure from a file.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolSaveFigure">
                <function>sisotoolSaveFigure</function>
              </link>
            </td>

            <td>saves the current figure into a .scg file in response to
            the File/Save Figure.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolCloseSession">
                <function>sisotoolCloseSession</function>
              </link>
            </td>

            <td>realizes the closure of a sisotool session in response to
            the File/close menu.</td>
          </tr>
    </informaltable>
  </refsection>
</refentry>
